%global momorel 10
Summary: Net-IP module for perl 
Name: perl-Net-IP
Version: 1.25
Release: %{momorel}m%{?dist}
License: Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Net/Net-IP-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 5.8.8

%description
Net::IP is a module which is designed to allow easy manipulation of IPv4 and
IPv6 addresses.

%prep
%setup -q -n Net-IP-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Net-IP-%{version}-filelist
if [ "$(cat Net-IP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Net-IP-%{version}-filelist
%defattr(-,root,root)
%doc Changes COPYING README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.25-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.25-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.25-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.25-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.25-4m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.25-3m)
- use vendor

* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.25-2m)
- modify install dir

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.25-1m)
- update to 1.25

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.24-3m)
- built against perl-5.8.8

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.24-2m)
- enable lib64

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.24-1m)
- initial import to Momonga Linux 2

